Summary:	iwd - wireless daemon for Linux
Summary(pl.UTF-8):	iwd - demon sieci bezprzewodowej dla Linuksa
Name:		iwd
Version:	3.7
Release:	1
License:	LGPL v2.1+
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/linux/network/wireless/%{name}-%{version}.tar.xz
# Source0-md5:	63a7f7ae2d145ebcee1325d75d223b9d
URL:		https://git.kernel.org/pub/scm/network/wireless/iwd.git
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	dbus-devel
BuildRequires:	docutils
BuildRequires:	ell-devel >= 0.72
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.644
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,preun,postun):	systemd-units >= 38
Requires:	ell >= 0.72
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wireless daemon for Linux.

%description -l pl.UTF-8
Demon sieci bezprzewodowej dla Linuksa.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-external-ell \
	--enable-manual-pages \
	--disable-silent-rules \
	--with-systemd-modloaddir=/usr/lib/modules-load.d \
	--with-systemd-networkdir=/lib/systemd/network \
	--with-systemd-unitdir=%{systemdunitdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/iwd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post iwd.service

%preun
%systemd_preun iwd.service

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{_sysconfdir}/iwd
%attr(755,root,root) %{_bindir}/iwctl
%attr(755,root,root) %{_bindir}/iwmon
%attr(755,root,root) %{_libexecdir}/iwd
/lib/systemd/network/80-iwd.link
%{systemdunitdir}/iwd.service
%{_datadir}/dbus-1/system.d/iwd-dbus.conf
%{_datadir}/dbus-1/system-services/net.connman.iwd.service
%{_mandir}/man1/iwctl.1*
%{_mandir}/man1/iwmon.1*
%{_mandir}/man5/iwd.ap.5*
%{_mandir}/man5/iwd.config.5*
%{_mandir}/man5/iwd.network.5*
%{_mandir}/man7/iwd.debug.7*
%{_mandir}/man8/iwd.8*
/usr/lib/modules-load.d/pkcs8.conf
%changelog
* Thu May 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iwd.git;a=log;h=master

* Sun May 04 2025 Jan Palus <atler@pld-linux.org> 8a4759c
- up to 3.7

* Thu Apr 03 2025 Jan Palus <atler@pld-linux.org> 69ea58c
- up to 3.6

* Thu Mar 27 2025 Jan Palus <atler@pld-linux.org> 86765f8
- up to 3.5

* Tue Feb 11 2025 Jan Palus <atler@pld-linux.org> f3af974
- up to 3.4

* Fri Dec 20 2024 Jan Palus <atler@pld-linux.org> ff255cb
- up to 3.3

* Wed Nov 27 2024 Jan Palus <atler@pld-linux.org> 6038246
- up to 3.2

* Thu Nov 07 2024 Jan Palus <atler@pld-linux.org> 63a9b96
- up to 3.1

* Mon Oct 21 2024 Jan Palus <atler@pld-linux.org> 927026a
- up to 3.0

* Thu Sep 12 2024 Jan Palus <atler@pld-linux.org> 8c9585d
- up to 2.22

* Mon Sep 09 2024 Jan Palus <atler@pld-linux.org> 6af07b1
- up to 2.21

* Thu Aug 29 2024 Jan Palus <atler@pld-linux.org> 28b69f4
- up to 2.20

* Mon Jul 08 2024 Jan Palus <atler@pld-linux.org> 61442a3
- up to 2.19

* Tue Jun 04 2024 Jan Palus <atler@pld-linux.org> a3b20d9
- up to 2.18

* Fri Mar 29 2024 Jan Palus <atler@pld-linux.org> 9b2d588
- up to 2.17

* Mon Mar 04 2024 Jan Palus <atler@pld-linux.org> 311a8f4
- up to 2.16

* Tue Feb 27 2024 Jan Palus <atler@pld-linux.org> 008c19a
- up to 2.15

* Tue Feb 13 2024 Jan Palus <atler@pld-linux.org> 5626ef9
- up to 2.14

* Fri Jan 12 2024 Jan Palus <atler@pld-linux.org> d1fa562
- up to 2.13

* Wed Dec 27 2023 Jan Palus <atler@pld-linux.org> c0886c8
- up to 2.12

* Thu Dec 14 2023 Jan Palus <atler@pld-linux.org> 00cc1ba
- up to 2.11

